> For the complete documentation index, see [llms.txt](https://docs.podplay.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.podplay.app/api/events/series.md).

# Series

Multi-event series and league management.

## GET /series/{seriesId}

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Series","description":"Multi-event series and league management."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"SeriesDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"bookedBy":{"type":"object","readOnly":true},"canceledAt":{"format":"date-time","type":"string","readOnly":true},"startTime":{"format":"date-time","type":"string","readOnly":true},"endTime":{"format":"date-time","type":"string","readOnly":true},"picture":{"$ref":"#/components/schemas/ItemRefDto"},"overrideFields":{"writeOnly":true,"allOf":[{"$ref":"#/components/schemas/ItemRefCollectionDto"}]},"description":{"type":"string"},"eventsTotal":{"type":"number","readOnly":true},"priceSettings":{"$ref":"#/components/schemas/SeriesPriceSettingsDto"},"admissionRate":{"type":"number","readOnly":true},"signupLimitDate":{"format":"date-time","type":"string"},"membersOnly":{"type":"boolean"},"events":{"$ref":"#/components/schemas/ItemRefCollectionDto"},"signups":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/CollectionRefDto"}]},"visibility":{"type":"string","enum":["LISTED","UNLISTED"]},"visibilitySchedules":{"readOnly":true,"nullable":true,"allOf":[{"$ref":"#/components/schemas/EventVisibilityScheduleCollectionDto"}]},"type":{"type":"string","enum":["PREVIEW","ORDER"],"nullable":true},"status":{"type":"string","enum":["INVALID","CONFIRMED"],"nullable":true,"readOnly":true},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}}},"required":["id","bookedBy","canceledAt","startTime","endTime","eventsTotal","priceSettings","admissionRate","events","signups","visibility","visibilitySchedules","type","status","errors"]},"ItemRefDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource"}},"required":["id"]},"ItemRefCollectionDto":{"type":"object","properties":{"items":{"description":"The array containing the elements of the collection","type":"array","items":{"type":"string"}},"_total":{"type":"number","description":"The total amount of elements in this collection, counting also the elements from the succesive pages"},"_links":{"description":"A `LinksDto` structure containing URL references to propertes that can be expanded","allOf":[{"$ref":"#/components/schemas/LinksDto"}]}},"required":["items"]},"LinksDto":{"type":"object","properties":{"self":{"description":"A `LinkDto` to the resource itself","allOf":[{"$ref":"#/components/schemas/LinkDto"}]}},"required":["self"]},"LinkDto":{"type":"object","properties":{"href":{"type":"string","description":"A URL"}},"required":["href"]},"SeriesPriceSettingsDto":{"type":"object","properties":{"full":{"$ref":"#/components/schemas/SeriesPriceSettingsItemDto"},"unit":{"$ref":"#/components/schemas/SeriesPriceSettingsItemDto"}}},"SeriesPriceSettingsItemDto":{"type":"object","properties":{"members":{"$ref":"#/components/schemas/SeriesPriceSettingsMembersDto"},"nonMembers":{"$ref":"#/components/schemas/SeriesPriceSettingsNonMembersDto"}}},"SeriesPriceSettingsMembersDto":{"type":"object","properties":{"rate":{"type":"number","minimum":0},"overrides":{"$ref":"#/components/schemas/SeriesMembershipPriceOverridesCollectionDto"}}},"SeriesMembershipPriceOverridesCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/SeriesMembershipPriceOverrideItemDto"}},"_total":{"type":"number"}},"required":["items","_total"]},"SeriesMembershipPriceOverrideItemDto":{"type":"object","properties":{"membership":{"$ref":"#/components/schemas/ItemRefDto"},"rate":{"type":"number","minimum":0},"_links":{"type":"object"}},"required":["membership","rate","_links"]},"SeriesPriceSettingsNonMembersDto":{"type":"object","properties":{"rate":{"type":"number","minimum":0}}},"CollectionRefDto":{"type":"object","properties":{"_total":{"type":"number","description":"The total amount of elements in this collection"}}},"EventVisibilityScheduleCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/EventVisibilityScheduleDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"EventVisibilityScheduleDto":{"type":"object","properties":{"id":{"type":"string","nullable":true},"event":{"readOnly":true,"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"listDaysBefore":{"type":"number"},"membersOnly":{"type":"boolean","nullable":true},"executed":{"type":"boolean","readOnly":true,"nullable":true},"status":{"type":"string","enum":["INVALID","CONFIRMED"],"nullable":true,"readOnly":true},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","event","listDaysBefore","membersOnly","executed","status","errors","_links"]},"ValidationErrorDto":{"type":"object","properties":{"code":{"type":"string","readOnly":true},"message":{"type":"string","readOnly":true},"details":{"type":"object","readOnly":true,"nullable":true}},"required":["code","message","details"]},"ErrorDto":{"type":"object","properties":{"statusCode":{"type":"number","readOnly":true},"message":{"type":"object","readOnly":true},"error":{"type":"string","readOnly":true}},"required":["statusCode","message","error"]}}},"paths":{"/series/{seriesId}":{"get":{"operationId":"SeriesController_findSeriesById","parameters":[{"name":"seriesId","required":true,"in":"path","schema":{"type":"string"}},{"name":"includeCanceledSignups","required":false,"in":"query","description":"Include canceled signups.","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Returns an `SeriesDto`","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SeriesDto"}}}}},"404":{"description":"Returns an `ErrorDto` in case the provided series id could not be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDto"}}}}},"tags":["Series"]}}}}
```

## PATCH /series/{seriesId}

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Series","description":"Multi-event series and league management."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"SeriesDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"bookedBy":{"type":"object","readOnly":true},"canceledAt":{"format":"date-time","type":"string","readOnly":true},"startTime":{"format":"date-time","type":"string","readOnly":true},"endTime":{"format":"date-time","type":"string","readOnly":true},"picture":{"$ref":"#/components/schemas/ItemRefDto"},"overrideFields":{"writeOnly":true,"allOf":[{"$ref":"#/components/schemas/ItemRefCollectionDto"}]},"description":{"type":"string"},"eventsTotal":{"type":"number","readOnly":true},"priceSettings":{"$ref":"#/components/schemas/SeriesPriceSettingsDto"},"admissionRate":{"type":"number","readOnly":true},"signupLimitDate":{"format":"date-time","type":"string"},"membersOnly":{"type":"boolean"},"events":{"$ref":"#/components/schemas/ItemRefCollectionDto"},"signups":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/CollectionRefDto"}]},"visibility":{"type":"string","enum":["LISTED","UNLISTED"]},"visibilitySchedules":{"readOnly":true,"nullable":true,"allOf":[{"$ref":"#/components/schemas/EventVisibilityScheduleCollectionDto"}]},"type":{"type":"string","enum":["PREVIEW","ORDER"],"nullable":true},"status":{"type":"string","enum":["INVALID","CONFIRMED"],"nullable":true,"readOnly":true},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}}},"required":["id","bookedBy","canceledAt","startTime","endTime","eventsTotal","priceSettings","admissionRate","events","signups","visibility","visibilitySchedules","type","status","errors"]},"ItemRefDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource"}},"required":["id"]},"ItemRefCollectionDto":{"type":"object","properties":{"items":{"description":"The array containing the elements of the collection","type":"array","items":{"type":"string"}},"_total":{"type":"number","description":"The total amount of elements in this collection, counting also the elements from the succesive pages"},"_links":{"description":"A `LinksDto` structure containing URL references to propertes that can be expanded","allOf":[{"$ref":"#/components/schemas/LinksDto"}]}},"required":["items"]},"LinksDto":{"type":"object","properties":{"self":{"description":"A `LinkDto` to the resource itself","allOf":[{"$ref":"#/components/schemas/LinkDto"}]}},"required":["self"]},"LinkDto":{"type":"object","properties":{"href":{"type":"string","description":"A URL"}},"required":["href"]},"SeriesPriceSettingsDto":{"type":"object","properties":{"full":{"$ref":"#/components/schemas/SeriesPriceSettingsItemDto"},"unit":{"$ref":"#/components/schemas/SeriesPriceSettingsItemDto"}}},"SeriesPriceSettingsItemDto":{"type":"object","properties":{"members":{"$ref":"#/components/schemas/SeriesPriceSettingsMembersDto"},"nonMembers":{"$ref":"#/components/schemas/SeriesPriceSettingsNonMembersDto"}}},"SeriesPriceSettingsMembersDto":{"type":"object","properties":{"rate":{"type":"number","minimum":0},"overrides":{"$ref":"#/components/schemas/SeriesMembershipPriceOverridesCollectionDto"}}},"SeriesMembershipPriceOverridesCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/SeriesMembershipPriceOverrideItemDto"}},"_total":{"type":"number"}},"required":["items","_total"]},"SeriesMembershipPriceOverrideItemDto":{"type":"object","properties":{"membership":{"$ref":"#/components/schemas/ItemRefDto"},"rate":{"type":"number","minimum":0},"_links":{"type":"object"}},"required":["membership","rate","_links"]},"SeriesPriceSettingsNonMembersDto":{"type":"object","properties":{"rate":{"type":"number","minimum":0}}},"CollectionRefDto":{"type":"object","properties":{"_total":{"type":"number","description":"The total amount of elements in this collection"}}},"EventVisibilityScheduleCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/EventVisibilityScheduleDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"EventVisibilityScheduleDto":{"type":"object","properties":{"id":{"type":"string","nullable":true},"event":{"readOnly":true,"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"listDaysBefore":{"type":"number"},"membersOnly":{"type":"boolean","nullable":true},"executed":{"type":"boolean","readOnly":true,"nullable":true},"status":{"type":"string","enum":["INVALID","CONFIRMED"],"nullable":true,"readOnly":true},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","event","listDaysBefore","membersOnly","executed","status","errors","_links"]},"ValidationErrorDto":{"type":"object","properties":{"code":{"type":"string","readOnly":true},"message":{"type":"string","readOnly":true},"details":{"type":"object","readOnly":true,"nullable":true}},"required":["code","message","details"]},"ErrorDto":{"type":"object","properties":{"statusCode":{"type":"number","readOnly":true},"message":{"type":"object","readOnly":true},"error":{"type":"string","readOnly":true}},"required":["statusCode","message","error"]}}},"paths":{"/series/{seriesId}":{"patch":{"operationId":"SeriesController_updateEventSeries","parameters":[{"name":"seriesId","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SeriesDto"}}}},"responses":{"200":{"description":"Returns a `SeriesDto`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SeriesDto"}}}},"400":{"description":"Returns an `ErrorDto` in case request body has missing or incorrect information","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDto"}}}},"403":{"description":"Returns an `ErrorDto` in case there is not enough privileges to perform this action","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDto"}}}},"404":{"description":"Returns an `ErrorDto` in case the provided series id could not be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDto"}}}},"409":{"description":"Returns an `ErrorDto` in case there is another operation in progress accessing the same resource","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDto"}}}},"422":{"description":"Returns an `ErrorDto` in case of validation errors or failures.<br/><br>Possible error codes are:<br>`ER000`: All events in the series need to belong to a single area, please verify all event items belong to the same area, and try again.<br>`ER001`: Cannot create a series with guests set on any of the events.<br>`ER002`: Cannot create a series from an event with existing invitations."}},"tags":["Series"]}}}}
```

## GET /series/{seriesId}/events

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Series","description":"Multi-event series and league management."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"EventCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/EventDto"}},"_total":{"type":"number","deprecated":true},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"EventDto":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["REGULAR","CLASS","EVENT","INTERNAL"],"readOnly":true},"subtype":{"type":"string","enum":["OPERATIONS","PRIVATE","COACHING","KIDS_CLASS","ADULT_CLASS","OPEN_PLAY","LEAGUE_NIGHT","TOURNAMENT","PARTY","PRIVATE_EVENT"]},"customType":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"startTime":{"format":"date-time","type":"string"},"endTime":{"format":"date-time","type":"string"},"pods":{"$ref":"#/components/schemas/PodCollectionDto"},"tables":{"$ref":"#/components/schemas/EventTableCollectionDto"},"access":{"$ref":"#/components/schemas/AccessDto"},"guests":{"$ref":"#/components/schemas/GuestsDto"},"reservations":{"$ref":"#/components/schemas/ReservationCollectionDto"},"bookingMode":{"type":"string","enum":["USER_BOOKED","FREE_OF_CHARGE"],"readOnly":true},"paymentMethod":{"type":"string","enum":["CASH","CARD","POS"],"readOnly":true},"bookedBy":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"totalTeams":{"type":"number"},"teamSize":{"type":"number"},"admission":{"type":"string","enum":["OPEN","MEMBERS_ONLY","CLOSED"]},"admissionRating":{"$ref":"#/components/schemas/EventAdmissionRatingDto"},"admissionRate":{"$ref":"#/components/schemas/EventAdmissionRateDto"},"admissionDate":{"$ref":"#/components/schemas/EventAdmissionDateDto"},"admissionKids":{"type":"string","enum":["OPEN","CLOSED"]},"allowedMemberships":{"type":"object"},"coachRate":{"type":"number"},"freeSignupCancellationHorizonHours":{"type":"number"},"tags":{"type":"array","items":{"type":"string"}},"picture":{"$ref":"#/components/schemas/ItemRefDto"},"visibility":{"type":"string","enum":["LISTED","UNLISTED"]},"invitations":{"type":"object"},"payments":{"type":"object"},"completeInvitations":{"type":"integer","minimum":0,"maximum":10,"deprecated":true},"replays":{"type":"object"},"cancellation":{"type":"object"},"notes":{"type":"object"},"openInvitations":{"type":"object"},"signups":{"type":"object"},"waitlist":{"type":"object"},"features":{"type":"array","nullable":true,"items":{"type":"string","enum":["WAITLIST","PUBLIC_ATTENDEE_LIST","QUICK_REPLAYS","CUSTOM_REPLAYS","ENHANCED_REPLAYS","SUBMIT_MATCHES_RESULTS","SHOW_SPOTS_LEFT"]}},"stats":{"type":"object"},"series":{"$ref":"#/components/schemas/ItemRefDto"},"suspension":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"status":{"type":"string","enum":["INVALID","DRAFT","CONFIRMED","PUBLISHED"]},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"tournamentDivision":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/TournamentDivisionDto"}]},"visibilitySchedules":{"readOnly":true,"nullable":true,"allOf":[{"$ref":"#/components/schemas/EventVisibilityScheduleCollectionDto"}]},"recurrence":{"readOnly":true,"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"teams":{"readOnly":true,"nullable":true,"allOf":[{"$ref":"#/components/schemas/EventTeamCollectionDto"}]},"_links":{"type":"object"}},"required":["id","type","subtype","customType","name","description","startTime","endTime","pods","tables","access","guests","reservations","bookingMode","paymentMethod","bookedBy","totalTeams","teamSize","admission","admissionRating","admissionRate","admissionDate","admissionKids","allowedMemberships","coachRate","freeSignupCancellationHorizonHours","tags","visibility","invitations","payments","completeInvitations","replays","cancellation","notes","openInvitations","signups","waitlist","features","stats","status","errors","tournamentDivision","visibilitySchedules","recurrence","teams","_links"]},"PodCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PodDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"PodDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"displayNameShort":{"type":"string"},"description":{"type":"string"},"address":{"$ref":"#/components/schemas/PodAddressDto"},"timezone":{"type":"string"},"type":{"type":"string","enum":["PRIVATE","MULTI_TABLE","ROBOT"]},"status":{"type":"string","enum":["NOT_AVAILABLE","AVAILABLE","TEMPORARILY_CLOSED","COMING_SOON"]},"sport":{"type":"string","enum":["PICKLEBALL","TABLE_TENNIS","POOL","TENNIS","PADDLE","SQUASH","SOCCER","GOLF","RACING_SIMULATOR","CRICKET","BASEBALL","HOCKEY","PETS","CORN_HOLE","SWIMMING"]},"area":{"type":"object"},"tables":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/TableCollectionDto"}]},"openTime":{"$ref":"#/components/schemas/TimeDto"},"closeTime":{"$ref":"#/components/schemas/TimeDto"},"closedTimeOverrides":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/PodClosedTimeOverrideCollectionDto"}]},"guests":{"$ref":"#/components/schemas/PodGuestsDto"},"rates":{"type":"object"},"settings":{"$ref":"#/components/schemas/PodSettingsCollectionDto"},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","displayNameShort","description","address","timezone","type","status","sport","area","tables","openTime","closeTime","closedTimeOverrides","guests","rates","settings","errors","_links"]},"PodAddressDto":{"type":"object","properties":{"street":{"type":"string"},"floor":{"type":"string"},"city":{"type":"string"},"zip":{"type":"string"},"displayName":{"type":"string"}},"required":["street","floor","city","zip","displayName"]},"TableCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/TableDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"TableDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"displayNameShort":{"type":"string"},"description":{"type":"string"},"type":{"type":"string","enum":["STANDARD","PREMIUM"]},"status":{"type":"string","enum":["AVAILABLE","NOT_AVAILABLE"]},"features":{"type":"array","items":{"type":"string","enum":["REPLAYS","QUICK_REPLAYS","CUSTOM_REPLAYS","ENHANCED_REPLAYS","SCOREBOARD","ROBOT","PRIVATE"]}},"pod":{"type":"object"},"settings":{"$ref":"#/components/schemas/CourtSettingsCollectionDto"},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","displayNameShort","description","type","status","features","pod","settings","errors","_links"]},"CourtSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/CourtSettingDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"CourtSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"value":{"type":"object"}},"required":["id","value"]},"LinksDto":{"type":"object","properties":{"self":{"description":"A `LinkDto` to the resource itself","allOf":[{"$ref":"#/components/schemas/LinkDto"}]}},"required":["self"]},"LinkDto":{"type":"object","properties":{"href":{"type":"string","description":"A URL"}},"required":["href"]},"ValidationErrorDto":{"type":"object","properties":{"code":{"type":"string","readOnly":true},"message":{"type":"string","readOnly":true},"details":{"type":"object","readOnly":true,"nullable":true}},"required":["code","message","details"]},"TimeDto":{"type":"object","properties":{"hours":{"type":"number","minimum":0,"maximum":23},"minutes":{"type":"number","minimum":0,"maximum":59}},"required":["hours","minutes"]},"PodClosedTimeOverrideCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PodClosedTimeOverrideDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"PodClosedTimeOverrideDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"days":{"type":"array","items":{"type":"number","maximum":6,"minimum":0}},"from":{"$ref":"#/components/schemas/TimeDto"},"to":{"$ref":"#/components/schemas/TimeDto"}},"required":["id","days","from","to"]},"PodGuestsDto":{"type":"object","properties":{"private":{"$ref":"#/components/schemas/ExtraGuestsDto"},"coach":{"deprecated":true,"allOf":[{"$ref":"#/components/schemas/ExtraGuestsDto"}]}},"required":["private","coach"]},"ExtraGuestsDto":{"type":"object","properties":{"min":{"type":"string"},"max":{"type":"string"}},"required":["min","max"]},"PodSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PodSettingDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"PodSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"value":{"type":"object"}},"required":["id","value"]},"EventTableCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/EventTableDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"EventTableDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"type":{"type":"string","enum":["FIXED_TABLE","AUTO"]},"table":{"$ref":"#/components/schemas/ItemRefDto"},"startTime":{"format":"date-time","type":"string","readOnly":true},"endTime":{"format":"date-time","type":"string","readOnly":true},"features":{"type":"array","items":{"type":"string","enum":["REPLAYS","QUICK_REPLAYS","CUSTOM_REPLAYS","ENHANCED_REPLAYS","SCOREBOARD","ROBOT","PRIVATE"]}},"status":{"type":"string","enum":["INVALID","CONFIRMED"],"readOnly":true},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/LinksDto"}]}},"required":["id","type","table","startTime","endTime","features","status","errors","_links"]},"ItemRefDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource"}},"required":["id"]},"AccessDto":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["OPEN","RESTRICTED"],"readOnly":true},"startTime":{"format":"date-time","type":"string","readOnly":true},"endTime":{"format":"date-time","type":"string","readOnly":true}},"required":["id","type","startTime","endTime"]},"GuestsDto":{"type":"object","properties":{"displayName":{"type":"string"},"displayNameShort":{"type":"string"},"max":{"type":"number","nullable":true}},"required":["displayName","displayNameShort","max"]},"ReservationCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/ReservationDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"ReservationDto":{"type":"object","properties":{"id":{"type":"string"},"startTime":{"format":"date-time","type":"string"},"endTime":{"format":"date-time","type":"string"},"tableAssignment":{"type":"string","enum":["PENDING","LOCKED_BY_SYSTEM","LOCKED_BY_USER","LOCKED_BY_ADMIN","CANCELED_BY_USER","CANCELED_BY_ADMIN"]},"sessions":{"$ref":"#/components/schemas/ReservationSessionCollectionDto"},"pod":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"table":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"coach":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"guests":{"type":"number","nullable":true},"charges":{"$ref":"#/components/schemas/CollectionRefDto"},"quickReplays":{"$ref":"#/components/schemas/CollectionRefDto"},"customReplays":{"$ref":"#/components/schemas/CollectionRefDto"},"_links":{"type":"object"}},"required":["id","startTime","endTime","tableAssignment","sessions","pod","table","coach","guests","charges","quickReplays","customReplays","_links"]},"ReservationSessionCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/ReservationSessionDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"ReservationSessionDto":{"type":"object","properties":{"id":{"type":"string"},"session":{"$ref":"#/components/schemas/ItemRefDto"},"coupon":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"charge":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"_links":{"type":"object"}},"required":["id","session","coupon","charge","_links"]},"CollectionRefDto":{"type":"object","properties":{"_total":{"type":"number","description":"The total amount of elements in this collection"}}},"EventAdmissionRatingDto":{"type":"object","properties":{"minRating":{"type":"number"},"maxRating":{"type":"number"},"type":{"type":"string","enum":["SINGLES","DOUBLES"]}},"required":["minRating","maxRating","type"]},"EventAdmissionRateDto":{"type":"object","properties":{"regular":{"type":"number"},"member":{"type":"number","readOnly":true},"membersDefault":{"type":"number"},"dayPass":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/PodPassRateDto"}]},"memberships":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/EventAdmissionRateMembershipCollectionDto"}]},"chargingStrategy":{"type":"string","enum":["spot+","court+"],"nullable":true},"_links":{"type":"object"}},"required":["regular","member","membersDefault","dayPass","memberships","chargingStrategy","_links"]},"PodPassRateDto":{"type":"object","properties":{"id":{"type":"string"},"displayName":{"type":"string"},"rate":{"type":"number"}},"required":["id","displayName","rate"]},"EventAdmissionRateMembershipCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/EventAdmissionRateMembershipDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"EventAdmissionRateMembershipDto":{"type":"object","properties":{"membership":{"$ref":"#/components/schemas/ItemRefDto"},"rate":{"type":"number"}},"required":["membership","rate"]},"EventAdmissionDateDto":{"type":"object","properties":{"regular":{"format":"date-time","type":"string","nullable":true},"member":{"format":"date-time","type":"string","readOnly":true,"nullable":true},"membersDefault":{"format":"date-time","type":"string","nullable":true},"memberships":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/EventAdmissionDateMembershipCollectionDto"}]},"_links":{"type":"object"}},"required":["regular","member","membersDefault","memberships","_links"]},"EventAdmissionDateMembershipCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/EventAdmissionDateMembershipDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"EventAdmissionDateMembershipDto":{"type":"object","properties":{"membership":{"$ref":"#/components/schemas/ItemRefDto"},"date":{"format":"date-time","type":"string"}},"required":["date"]},"TournamentDivisionDto":{"type":"object","properties":{"id":{"type":"string","description":"Tournament Division ID","readOnly":true},"tournament":{"description":"Tournament ID","readOnly":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"provider":{"type":"string","enum":["SWISH","PODPLAY"]},"swish":{"description":"Tournament data specific to Swish","allOf":[{"$ref":"#/components/schemas/SwishDto"}]},"podplay":{"description":"Tournament data specific to PodPlay","allOf":[{"$ref":"#/components/schemas/PodPlayTournamentDto"}]},"status":{"type":"string","enum":["DRAFT","SUCCESS","FAILED"],"description":"Current status of the tournament","readOnly":true},"createdAt":{"format":"date-time","type":"string","description":"When the tournament was created","readOnly":true},"event":{"description":"ID of the event the tournament is associated with","readOnly":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"lastSyncedAt":{"format":"date-time","type":"string","description":"Last time the tournament was synced with the provider"},"visibility":{"type":"string","enum":["HIDDEN","VISIBLE"],"description":"Visibility status: HIDDEN (admin only), VISIBLE (shown to users), or null"},"_links":{"type":"object","readOnly":true}},"required":["id","tournament","provider","event","_links"]},"SwishDto":{"type":"object","properties":{"eventFormat":{"type":"string","enum":["regular_play","rotating_partners_round_robin","set_partners_round_robin","mixed_gender_round_robin","custom_team_format","minor_league_pickleball_round_robin","king_of_the_court","league-rotating_partners_round_robin","league-set_partners_round_robin","league-mixed_gender_round_robin","ladder-league-rotating_partners_round_robin","league-king_of_the_court","league-custom_team_format","league-minor_league_pickleball_round_robin"]},"gameId":{"type":"string"},"editPlayersPath":{"type":"string"}},"required":["eventFormat","editPlayersPath"]},"PodPlayTournamentDto":{"type":"object","properties":{"eventFormat":{"type":"string","description":"The event format for PodPlay tournaments"},"gameId":{"type":"string","description":"Game ID from PodPlay provider"},"url":{"type":"string","description":"URL to the tournament in PodPlay provider"}},"required":["eventFormat","url"]},"EventVisibilityScheduleCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/EventVisibilityScheduleDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"EventVisibilityScheduleDto":{"type":"object","properties":{"id":{"type":"string","nullable":true},"event":{"readOnly":true,"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"listDaysBefore":{"type":"number"},"membersOnly":{"type":"boolean","nullable":true},"executed":{"type":"boolean","readOnly":true,"nullable":true},"status":{"type":"string","enum":["INVALID","CONFIRMED"],"nullable":true,"readOnly":true},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","event","listDaysBefore","membersOnly","executed","status","errors","_links"]},"EventTeamCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/EventTeamDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"EventTeamDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource"},"_links":{"description":"A `LinksDto` structure containing URL references to propertes that can be expanded","allOf":[{"$ref":"#/components/schemas/LinksDto"}]},"teamLeader":{"$ref":"#/components/schemas/UserProfileDto"},"teamMembers":{"$ref":"#/components/schemas/UserProfileCollectionDto"},"teamMemberCount":{"type":"number"}},"required":["id","teamLeader","teamMembers","teamMemberCount"]},"UserProfileDto":{"type":"object","properties":{"id":{"type":"string"},"user":{"$ref":"#/components/schemas/ItemRefDto"},"type":{"type":"string","enum":["REGULAR","GLOBAL_MEMBER","ANGEL_MEMBER","BASIC_MEMBER","AREA_MEMBER","COACH"],"readOnly":true},"membershipArea":{"deprecated":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"firstName":{"type":"string","readOnly":true},"lastName":{"type":"string","readOnly":true},"gender":{"type":"string","readOnly":true},"birthday":{"format":"date-time","type":"string","readOnly":true},"initials":{"type":"string","readOnly":true},"description":{"type":"string"},"picture":{"type":"object","readOnly":true,"nullable":true},"usattRating":{"type":"number","readOnly":true,"nullable":true},"duprProfileUrl":{"type":"string","readOnly":true,"nullable":true},"memberSince":{"format":"date-time","type":"string","readOnly":true},"membershipSubscription":{"type":"object","nullable":true,"readOnly":true,"deprecated":true},"membershipEnrollment":{"type":"object","nullable":true,"readOnly":true},"kids":{"type":"object","nullable":true,"readOnly":true},"_links":{"type":"object"}},"required":["id","user","type","description","memberSince","kids","_links"]},"UserProfileCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/UserProfileDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"ErrorDto":{"type":"object","properties":{"statusCode":{"type":"number","readOnly":true},"message":{"type":"object","readOnly":true},"error":{"type":"string","readOnly":true}},"required":["statusCode","message","error"]}}},"paths":{"/series/{seriesId}/events":{"get":{"operationId":"SeriesController_findEventsBySeriesId","parameters":[{"name":"seriesId","required":true,"in":"path","schema":{"type":"string"}},{"name":"includeUnpublishedEvents","required":false,"in":"query","description":"Include unlisted events.","schema":{"type":"boolean"}},{"name":"includeCanceledEvents","required":false,"in":"query","description":"Include canceled events.","schema":{"type":"boolean"}},{"name":"includeCanceledSeries","required":false,"in":"query","description":"Include canceled series.","schema":{"type":"boolean"}},{"name":"includeSuspendedEvents","required":false,"in":"query","description":"Include suspended events, those that were canceled by an admin due to an exceptional situation made their physical court to not be available.","schema":{"type":"boolean"}},{"name":"selfOnly","required":false,"in":"query","description":"Return only the events relevant to the logged in user. Only useful to privileged users.","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Returns an `EventCollectionDto`","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventCollectionDto"}}}}},"404":{"description":"Returns an `ErrorDto` in case the provided series id could not be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDto"}}}}},"tags":["Series"]}}}}
```

## GET /series/{seriesId}/signups

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Series","description":"Multi-event series and league management."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"EventSignupCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/EventSignupDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"EventSignupDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"type":{"type":"string","enum":["PREVIEW","ORDER"]},"status":{"type":"string","enum":["DRAFT","INVALID","PENDING","CONFIRMED","CANCELED","REQUIRES_AUTHENTICATION","PROCESSING"],"readOnly":true},"mode":{"type":"string","enum":["USER_BOOKED","FREE_OF_CHARGE"],"writeOnly":true,"nullable":true},"paymentMethod":{"type":"string","enum":["CASH","CARD"],"writeOnly":true,"nullable":true},"virtualCredits":{"type":"number","writeOnly":true,"nullable":true},"couponCode":{"type":"string","writeOnly":true,"nullable":true},"passesStrategy":{"type":"string","enum":["USE_ALL","USE_NONE","USE_ONLY_OWNER","USE_ONLY_GUESTS"],"nullable":true},"termsAgreed":{"type":"boolean","writeOnly":true,"nullable":true,"description":"An optional parameter to tell the User is agreeing the \"Terms\" along with the signup request."},"liabilityWaiverAgreed":{"type":"boolean","writeOnly":true,"nullable":true,"description":"An optional parameter to tell the User is agreeing the \"Liability waiver\" along with the signup request."},"availableGuests":{"description":"The additional guests that can be added to the signup.","readOnly":true,"allOf":[{"$ref":"#/components/schemas/EventSignupGuestsOptionCollectionDto"}]},"guests":{"writeOnly":true,"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"kids":{"writeOnly":false,"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefCollectionDto"}]},"coupon":{"readOnly":true,"nullable":true,"allOf":[{"$ref":"#/components/schemas/CouponSummaryDto"}]},"summary":{"readOnly":true,"nullable":true,"allOf":[{"$ref":"#/components/schemas/EventSignupSummaryDto"}]},"owner":{"$ref":"#/components/schemas/ItemRefDto"},"order":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"_links":{"type":"object"}},"required":["id","type","status","mode","paymentMethod","virtualCredits","couponCode","passesStrategy","termsAgreed","liabilityWaiverAgreed","availableGuests","guests","kids","coupon","summary","owner","order","_links"]},"EventSignupGuestsOptionCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/EventSignupGuestsOptionDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"EventSignupGuestsOptionDto":{"type":"object","properties":{"id":{"type":"string"},"displayName":{"type":"string"},"guests":{"type":"number"},"rate":{"type":"number"}},"required":["id","displayName","guests","rate"]},"LinksDto":{"type":"object","properties":{"self":{"description":"A `LinkDto` to the resource itself","allOf":[{"$ref":"#/components/schemas/LinkDto"}]}},"required":["self"]},"LinkDto":{"type":"object","properties":{"href":{"type":"string","description":"A URL"}},"required":["href"]},"ItemRefDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource"}},"required":["id"]},"ItemRefCollectionDto":{"type":"object","properties":{"items":{"description":"The array containing the elements of the collection","type":"array","items":{"type":"string"}},"_total":{"type":"number","description":"The total amount of elements in this collection, counting also the elements from the succesive pages"},"_links":{"description":"A `LinksDto` structure containing URL references to propertes that can be expanded","allOf":[{"$ref":"#/components/schemas/LinksDto"}]}},"required":["items"]},"CouponSummaryDto":{"type":"object","properties":{"id":{"type":"string"},"code":{"type":"string"},"discountType":{"type":"string","enum":["AMOUNT_OFF","PERCENT_OFF"]},"value":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["id","code","discountType","value","_links"]},"EventSignupSummaryDto":{"type":"object","properties":{"event":{"readOnly":true,"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"invitation":{"readOnly":true,"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"openInvitation":{"readOnly":true,"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"currency":{"type":"string","readOnly":true},"rates":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/EventSignupSummaryRatesDto"}]},"subtotal":{"type":"number","readOnly":true},"taxes":{"readOnly":true,"type":"array","items":{"$ref":"#/components/schemas/TaxDto"}},"virtualCredits":{"type":"number","readOnly":true},"couponDiscount":{"type":"number","readOnly":true},"package":{"readOnly":true,"nullable":true,"deprecated":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"passes":{"readOnly":true,"nullable":true,"description":"Only available if `passesStrategy` is not null.","allOf":[{"$ref":"#/components/schemas/OrderPassCollectionDto"}]},"total":{"type":"number","readOnly":true},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}}},"required":["event","invitation","openInvitation","currency","rates","subtotal","taxes","virtualCredits","couponDiscount","package","passes","total","errors"]},"EventSignupSummaryRatesDto":{"type":"object","properties":{"signup":{"type":"number","readOnly":true},"guests":{"type":"number","readOnly":true},"teamLeader":{"type":"number","readOnly":true},"teamMember":{"type":"number","readOnly":true}},"required":["signup","guests"]},"TaxDto":{"type":"object","properties":{"name":{"type":"string","readOnly":true},"amount":{"type":"number","readOnly":true,"description":"Amount (in $) corresponding to this tax item"},"percentage":{"type":"number","readOnly":true,"description":"Tax percentage that was applied to a subtotal amount, used to display the tax rate. eg: {TaxName}: 9%"}},"required":["name","amount","percentage"]},"OrderPassCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/OrderPassDto"}},"_total":{"type":"number"},"_links":{"type":"object"}},"required":["items","_total","_links"]},"OrderPassDto":{"type":"object","properties":{"id":{"type":"object"},"available":{"type":"number","readOnly":true,"description":"Either for applicable or refundable passes this represents potential but not the actual number to be applied/refunded"},"quantity":{"type":"number","readOnly":true,"description":"Either for applicable or refundable passes this represents actual number to be applied/refunded"},"displayName":{"type":"string","readOnly":true},"displayNamePlural":{"type":"string","readOnly":true},"rate":{"type":"number","readOnly":true}},"required":["id","available","quantity","displayName","displayNamePlural","rate"]},"ValidationErrorDto":{"type":"object","properties":{"code":{"type":"string","readOnly":true},"message":{"type":"string","readOnly":true},"details":{"type":"object","readOnly":true,"nullable":true}},"required":["code","message","details"]},"ErrorDto":{"type":"object","properties":{"statusCode":{"type":"number","readOnly":true},"message":{"type":"object","readOnly":true},"error":{"type":"string","readOnly":true}},"required":["statusCode","message","error"]}}},"paths":{"/series/{seriesId}/signups":{"get":{"operationId":"SeriesController_findSignupsBySeriesId","parameters":[{"name":"seriesId","required":true,"in":"path","schema":{"type":"string"}},{"name":"excludeCanceledSignups","required":false,"in":"query","description":"Exclude canceled signups.","schema":{"type":"boolean"}},{"name":"includeUnpublishedEvents","required":false,"in":"query","description":"Include unlisted events.","schema":{"type":"boolean"}},{"name":"includeCanceledEvents","required":false,"in":"query","description":"Include canceled events.","schema":{"type":"boolean"}},{"name":"includeCanceledSeries","required":false,"in":"query","description":"Include canceled series.","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Returns an `EventSignupCollectionDto`","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventSignupCollectionDto"}}}}},"404":{"description":"Returns an `ErrorDto` in case the provided series id could not be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDto"}}}}},"tags":["Series"]}}}}
```

## POST /series

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Series","description":"Multi-event series and league management."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"SeriesDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"bookedBy":{"type":"object","readOnly":true},"canceledAt":{"format":"date-time","type":"string","readOnly":true},"startTime":{"format":"date-time","type":"string","readOnly":true},"endTime":{"format":"date-time","type":"string","readOnly":true},"picture":{"$ref":"#/components/schemas/ItemRefDto"},"overrideFields":{"writeOnly":true,"allOf":[{"$ref":"#/components/schemas/ItemRefCollectionDto"}]},"description":{"type":"string"},"eventsTotal":{"type":"number","readOnly":true},"priceSettings":{"$ref":"#/components/schemas/SeriesPriceSettingsDto"},"admissionRate":{"type":"number","readOnly":true},"signupLimitDate":{"format":"date-time","type":"string"},"membersOnly":{"type":"boolean"},"events":{"$ref":"#/components/schemas/ItemRefCollectionDto"},"signups":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/CollectionRefDto"}]},"visibility":{"type":"string","enum":["LISTED","UNLISTED"]},"visibilitySchedules":{"readOnly":true,"nullable":true,"allOf":[{"$ref":"#/components/schemas/EventVisibilityScheduleCollectionDto"}]},"type":{"type":"string","enum":["PREVIEW","ORDER"],"nullable":true},"status":{"type":"string","enum":["INVALID","CONFIRMED"],"nullable":true,"readOnly":true},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}}},"required":["id","bookedBy","canceledAt","startTime","endTime","eventsTotal","priceSettings","admissionRate","events","signups","visibility","visibilitySchedules","type","status","errors"]},"ItemRefDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource"}},"required":["id"]},"ItemRefCollectionDto":{"type":"object","properties":{"items":{"description":"The array containing the elements of the collection","type":"array","items":{"type":"string"}},"_total":{"type":"number","description":"The total amount of elements in this collection, counting also the elements from the succesive pages"},"_links":{"description":"A `LinksDto` structure containing URL references to propertes that can be expanded","allOf":[{"$ref":"#/components/schemas/LinksDto"}]}},"required":["items"]},"LinksDto":{"type":"object","properties":{"self":{"description":"A `LinkDto` to the resource itself","allOf":[{"$ref":"#/components/schemas/LinkDto"}]}},"required":["self"]},"LinkDto":{"type":"object","properties":{"href":{"type":"string","description":"A URL"}},"required":["href"]},"SeriesPriceSettingsDto":{"type":"object","properties":{"full":{"$ref":"#/components/schemas/SeriesPriceSettingsItemDto"},"unit":{"$ref":"#/components/schemas/SeriesPriceSettingsItemDto"}}},"SeriesPriceSettingsItemDto":{"type":"object","properties":{"members":{"$ref":"#/components/schemas/SeriesPriceSettingsMembersDto"},"nonMembers":{"$ref":"#/components/schemas/SeriesPriceSettingsNonMembersDto"}}},"SeriesPriceSettingsMembersDto":{"type":"object","properties":{"rate":{"type":"number","minimum":0},"overrides":{"$ref":"#/components/schemas/SeriesMembershipPriceOverridesCollectionDto"}}},"SeriesMembershipPriceOverridesCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/SeriesMembershipPriceOverrideItemDto"}},"_total":{"type":"number"}},"required":["items","_total"]},"SeriesMembershipPriceOverrideItemDto":{"type":"object","properties":{"membership":{"$ref":"#/components/schemas/ItemRefDto"},"rate":{"type":"number","minimum":0},"_links":{"type":"object"}},"required":["membership","rate","_links"]},"SeriesPriceSettingsNonMembersDto":{"type":"object","properties":{"rate":{"type":"number","minimum":0}}},"CollectionRefDto":{"type":"object","properties":{"_total":{"type":"number","description":"The total amount of elements in this collection"}}},"EventVisibilityScheduleCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/EventVisibilityScheduleDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"EventVisibilityScheduleDto":{"type":"object","properties":{"id":{"type":"string","nullable":true},"event":{"readOnly":true,"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"listDaysBefore":{"type":"number"},"membersOnly":{"type":"boolean","nullable":true},"executed":{"type":"boolean","readOnly":true,"nullable":true},"status":{"type":"string","enum":["INVALID","CONFIRMED"],"nullable":true,"readOnly":true},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","event","listDaysBefore","membersOnly","executed","status","errors","_links"]},"ValidationErrorDto":{"type":"object","properties":{"code":{"type":"string","readOnly":true},"message":{"type":"string","readOnly":true},"details":{"type":"object","readOnly":true,"nullable":true}},"required":["code","message","details"]},"ErrorDto":{"type":"object","properties":{"statusCode":{"type":"number","readOnly":true},"message":{"type":"object","readOnly":true},"error":{"type":"string","readOnly":true}},"required":["statusCode","message","error"]}}},"paths":{"/series":{"post":{"operationId":"SeriesController_createEventSeries","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SeriesDto"}}}},"responses":{"201":{"description":"Returns an `EventSeries`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SeriesDto"}}}},"403":{"description":"Returns an `ErrorDto` in case there is not enough privileges to perform this action","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDto"}}}},"404":{"description":"Returns an `ErrorDto` in case some of the provided events could not be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDto"}}}},"409":{"description":"Returns an `ErrorDto` in case there is another operation in progress accessing the same resource","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDto"}}}}},"tags":["Series"]}}}}
```

## POST /series/{seriesId}/cancellation

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Series","description":"Multi-event series and league management."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"SeriesDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"bookedBy":{"type":"object","readOnly":true},"canceledAt":{"format":"date-time","type":"string","readOnly":true},"startTime":{"format":"date-time","type":"string","readOnly":true},"endTime":{"format":"date-time","type":"string","readOnly":true},"picture":{"$ref":"#/components/schemas/ItemRefDto"},"overrideFields":{"writeOnly":true,"allOf":[{"$ref":"#/components/schemas/ItemRefCollectionDto"}]},"description":{"type":"string"},"eventsTotal":{"type":"number","readOnly":true},"priceSettings":{"$ref":"#/components/schemas/SeriesPriceSettingsDto"},"admissionRate":{"type":"number","readOnly":true},"signupLimitDate":{"format":"date-time","type":"string"},"membersOnly":{"type":"boolean"},"events":{"$ref":"#/components/schemas/ItemRefCollectionDto"},"signups":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/CollectionRefDto"}]},"visibility":{"type":"string","enum":["LISTED","UNLISTED"]},"visibilitySchedules":{"readOnly":true,"nullable":true,"allOf":[{"$ref":"#/components/schemas/EventVisibilityScheduleCollectionDto"}]},"type":{"type":"string","enum":["PREVIEW","ORDER"],"nullable":true},"status":{"type":"string","enum":["INVALID","CONFIRMED"],"nullable":true,"readOnly":true},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}}},"required":["id","bookedBy","canceledAt","startTime","endTime","eventsTotal","priceSettings","admissionRate","events","signups","visibility","visibilitySchedules","type","status","errors"]},"ItemRefDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource"}},"required":["id"]},"ItemRefCollectionDto":{"type":"object","properties":{"items":{"description":"The array containing the elements of the collection","type":"array","items":{"type":"string"}},"_total":{"type":"number","description":"The total amount of elements in this collection, counting also the elements from the succesive pages"},"_links":{"description":"A `LinksDto` structure containing URL references to propertes that can be expanded","allOf":[{"$ref":"#/components/schemas/LinksDto"}]}},"required":["items"]},"LinksDto":{"type":"object","properties":{"self":{"description":"A `LinkDto` to the resource itself","allOf":[{"$ref":"#/components/schemas/LinkDto"}]}},"required":["self"]},"LinkDto":{"type":"object","properties":{"href":{"type":"string","description":"A URL"}},"required":["href"]},"SeriesPriceSettingsDto":{"type":"object","properties":{"full":{"$ref":"#/components/schemas/SeriesPriceSettingsItemDto"},"unit":{"$ref":"#/components/schemas/SeriesPriceSettingsItemDto"}}},"SeriesPriceSettingsItemDto":{"type":"object","properties":{"members":{"$ref":"#/components/schemas/SeriesPriceSettingsMembersDto"},"nonMembers":{"$ref":"#/components/schemas/SeriesPriceSettingsNonMembersDto"}}},"SeriesPriceSettingsMembersDto":{"type":"object","properties":{"rate":{"type":"number","minimum":0},"overrides":{"$ref":"#/components/schemas/SeriesMembershipPriceOverridesCollectionDto"}}},"SeriesMembershipPriceOverridesCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/SeriesMembershipPriceOverrideItemDto"}},"_total":{"type":"number"}},"required":["items","_total"]},"SeriesMembershipPriceOverrideItemDto":{"type":"object","properties":{"membership":{"$ref":"#/components/schemas/ItemRefDto"},"rate":{"type":"number","minimum":0},"_links":{"type":"object"}},"required":["membership","rate","_links"]},"SeriesPriceSettingsNonMembersDto":{"type":"object","properties":{"rate":{"type":"number","minimum":0}}},"CollectionRefDto":{"type":"object","properties":{"_total":{"type":"number","description":"The total amount of elements in this collection"}}},"EventVisibilityScheduleCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/EventVisibilityScheduleDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"EventVisibilityScheduleDto":{"type":"object","properties":{"id":{"type":"string","nullable":true},"event":{"readOnly":true,"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"listDaysBefore":{"type":"number"},"membersOnly":{"type":"boolean","nullable":true},"executed":{"type":"boolean","readOnly":true,"nullable":true},"status":{"type":"string","enum":["INVALID","CONFIRMED"],"nullable":true,"readOnly":true},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","event","listDaysBefore","membersOnly","executed","status","errors","_links"]},"ValidationErrorDto":{"type":"object","properties":{"code":{"type":"string","readOnly":true},"message":{"type":"string","readOnly":true},"details":{"type":"object","readOnly":true,"nullable":true}},"required":["code","message","details"]},"ErrorDto":{"type":"object","properties":{"statusCode":{"type":"number","readOnly":true},"message":{"type":"object","readOnly":true},"error":{"type":"string","readOnly":true}},"required":["statusCode","message","error"]}}},"paths":{"/series/{seriesId}/cancellation":{"post":{"operationId":"SeriesController_createEventSeriesCancellation","parameters":[{"name":"seriesId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":"Returns an `EventSeries`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SeriesDto"}}}},"403":{"description":"Returns an `ErrorDto` in case there is not enough privileges to perform this action","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDto"}}}},"404":{"description":"Returns an `ErrorDto` in case some of the provided events could not be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDto"}}}},"409":{"description":"Returns an `ErrorDto` in case there is another operation in progress accessing the same resource","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDto"}}}}},"tags":["Series"]}}}}
```

## DELETE /series/{seriesId}/visibility-schedules

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Series","description":"Multi-event series and league management."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"ErrorDto":{"type":"object","properties":{"statusCode":{"type":"number","readOnly":true},"message":{"type":"object","readOnly":true},"error":{"type":"string","readOnly":true}},"required":["statusCode","message","error"]}}},"paths":{"/series/{seriesId}/visibility-schedules":{"delete":{"operationId":"SeriesController_removeVisibilitySchedules","parameters":[{"name":"seriesId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"204":{"description":"Returns an empty response"},"403":{"description":"Returns an `ErrorDto` in case there is not enough privileges to perform this action","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDto"}}}},"404":{"description":"Returns an `ErrorDto` in case some of the provided events could not be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDto"}}}},"409":{"description":"Returns an `ErrorDto` in case there is another operation in progress accessing the same resource","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDto"}}}}},"tags":["Series"]}}}}
```

## POST /series/{seriesId}/settlement

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Series","description":"Multi-event series and league management."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"SeriesSettlementDto":{"type":"object","properties":{"type":{"type":"string","enum":["PREVIEW","ORDER"]},"status":{"type":"string","enum":["PENDING","SETTLED","INVALID"]},"bookingTotal":{"type":"number","readOnly":true},"signupsTotal":{"type":"number","readOnly":true},"coachingTotal":{"type":"number","readOnly":true},"total":{"type":"number","readOnly":true},"currency":{"type":"string","readOnly":true},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"details":{"readOnly":true,"type":"array","items":{"$ref":"#/components/schemas/SeriesSettlementDetailCollectionDto"}},"_links":{"type":"object"}},"required":["type","status","bookingTotal","signupsTotal","coachingTotal","total","currency","errors","details","_links"]},"ValidationErrorDto":{"type":"object","properties":{"code":{"type":"string","readOnly":true},"message":{"type":"string","readOnly":true},"details":{"type":"object","readOnly":true,"nullable":true}},"required":["code","message","details"]},"SeriesSettlementDetailCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"type":"string"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"LinksDto":{"type":"object","properties":{"self":{"description":"A `LinkDto` to the resource itself","allOf":[{"$ref":"#/components/schemas/LinkDto"}]}},"required":["self"]},"LinkDto":{"type":"object","properties":{"href":{"type":"string","description":"A URL"}},"required":["href"]}}},"paths":{"/series/{seriesId}/settlement":{"post":{"operationId":"SeriesController_createSeriesSettlement","parameters":[{"name":"seriesId","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SeriesSettlementDto"}}}},"responses":{"201":{"description":"Returns a `SeriesSettlementDto`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SeriesSettlementDto"}}}}},"tags":["Series"]}}}}
```

## PUT /series/{seriesId}/notes/{noteId}

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Series","description":"Multi-event series and league management."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"SeriesNoteDto":{"type":"object","properties":{"id":{"type":"string"},"comment":{"type":"string"}},"required":["id","comment"]}}},"paths":{"/series/{seriesId}/notes/{noteId}":{"put":{"operationId":"SeriesController_updateSeriesNoteById","parameters":[{"name":"seriesId","required":true,"in":"path","schema":{"type":"string"}},{"name":"noteId","required":true,"in":"path","schema":{"type":"string"}},{"name":"expand","required":false,"in":"query","explode":true,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SeriesNoteDto"}}}},"responses":{"200":{"description":"Returns a `SeriesNoteDto`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SeriesNoteDto"}}}}},"tags":["Series"]}}}}
```

## GET /series/{seriesId}/notes

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Series","description":"Multi-event series and league management."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"SeriesNoteCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"type":"string"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"LinksDto":{"type":"object","properties":{"self":{"description":"A `LinkDto` to the resource itself","allOf":[{"$ref":"#/components/schemas/LinkDto"}]}},"required":["self"]},"LinkDto":{"type":"object","properties":{"href":{"type":"string","description":"A URL"}},"required":["href"]}}},"paths":{"/series/{seriesId}/notes":{"get":{"operationId":"SeriesController_findSeriesNotes","parameters":[{"name":"expand","required":false,"in":"query","explode":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"seriesId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns a `SeriesNoteCollectionDto`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SeriesNoteCollectionDto"}}}}},"tags":["Series"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.podplay.app/api/events/series.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
